Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042749
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2020-01-08 15:352020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionf0b541fa2fa1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042749: Apply new HQL Style in MatchStatementOnLoadGetPreferenceActionHandler.java

DescriptionMatchStatementOnLoadGetPreferenceActionHandler.java has one HQL query with:
- the HQL is hard to read because of formatting
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116727)
inigo_lerga (developer)
2020-01-09 11:21

Test Plan Mantis:
As the F&B International Group Admin role:
    - Go to the Financial Account window and
      enter the record named "Bank - Account 1".
    - Press the Match Statement button.
#In this moment the modified HQL is executed#
(0116809)
hgbot (developer)
2020-01-13 18:18

Repository: erp/devel/pi
Changeset: f0b541fa2fa175767e42a6d835df2e7815fc646d
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 09 11:15:59 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f0b541fa2fa175767e42a6d835df2e7815fc646d [^]

Related to Issue 42749: Applied new HQL Style

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/MatchStatementOnLoadGetPreferenceActionHandler.java
---
(0116810)
dmiguelez (developer)
2020-01-13 18:19

Code Review + Testing Ok
(0118728)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-08 15:35 inigo_lerga New Issue
2020-01-08 15:35 inigo_lerga Assigned To => inigo_lerga
2020-01-08 15:35 inigo_lerga Modules => Core
2020-01-08 15:35 inigo_lerga Triggers an Emergency Pack => No
2020-01-08 15:35 inigo_lerga Status new => scheduled
2020-01-09 11:21 inigo_lerga Note Added: 0116727
2020-01-10 14:44 inigo_lerga Relationship added related to 0041287
2020-01-13 18:18 hgbot Checkin
2020-01-13 18:18 hgbot Note Added: 0116809
2020-01-13 18:19 dmiguelez Status scheduled => resolved
2020-01-13 18:19 dmiguelez Fixed in Version => 3.0PR20Q2
2020-01-13 18:19 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/f0b541fa2fa175767e42a6d835df2e7815fc646d [^]
2020-01-13 18:19 dmiguelez Resolution open => fixed
2020-01-13 18:19 dmiguelez Review Assigned To => dmiguelez
2020-01-13 18:19 dmiguelez Note Added: 0116810
2020-01-13 18:19 dmiguelez Status resolved => closed
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118728


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker